Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::UserEvent Struct Reference

This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction. More...

Inheritance diagram for event::UserEvent:

## Public Attributes
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction.

The documentation for this struct was generated from the following file:

- UserEvent.idl